diff -ruN uppsrc/Core/Xmlize.cpp uppsrc/Core/Xmlize.cpp
--- uppsrc/Core/Xmlize.cpp	2012-11-07 14:14:27 +0400
+++ uppsrc/Core/Xmlize.cpp	2013-05-24 21:43:28 +0400
@@ -178,24 +178,34 @@
 	return AsXML(node);
 }
 
+force_inline bool LoadFromXML0(Callback1<XmlIO> xmlize, const String& xml)
+{
+	XmlNode node = ParseXML(xml);
+	if(node.GetCount() == 0)
+		return false;
+	for(int i = 0; i < node.GetCount(); i++)
+		if(node.Node(i).IsTag()) {
+			Value dummy;
+			xmlize(XmlIO(node.At(i), true, dummy));
+			break;
+		}
+	return true;
+}
+
 bool LoadFromXML(Callback1<XmlIO> xmlize, const String& xml)
 {
 	try {
-		XmlNode node = ParseXML(xml);
-		if(node.GetCount() == 0)
-			return false;
-		for(int i = 0; i < node.GetCount(); i++)
-			if(node.Node(i).IsTag()) {
-				Value dummy;
-				xmlize(XmlIO(node.At(i), true, dummy));
-				break;
-			}
-		return true;
+		return LoadFromXML0(xmlize, xml);
 	}
 	catch(XmlError) {}
 	return false;
 }
 
+bool TryLoadFromXML(Callback1<XmlIO> xmlize, const String& xml)
+{
+	return LoadFromXML0(xmlize, xml);
+}
+
 static String sXMLFile(const char *file)
 {
 	return file ? String(file) : ConfigFile(GetExeTitle() + ".xml");
@@ -211,6 +221,10 @@
 	return LoadFromXML(xmlize, LoadFile(sXMLFile(file)));
 }
 
+bool TryLoadFromXMLFile(Callback1<XmlIO> xmlize, const char *file)
+{
+	return TryLoadFromXML(xmlize, LoadFile(sXMLFile(file)));
+}
 
 void StoreJsonValue(XmlIO& xio, const Value& v)
 {
diff -ruN uppsrc/Core/Xmlize.h uppsrc/Core/Xmlize.h
--- uppsrc/Core/Xmlize.h	2013-05-16 19:57:12 +0400
+++ uppsrc/Core/Xmlize.h	2013-05-24 21:50:51 +0400
@@ -216,6 +216,7 @@
 
 String StoreAsXML(Callback1<XmlIO> xmlize, const char *name);
 bool   LoadFromXML(Callback1<XmlIO> xmlize, const String& xml);
+bool   TryLoadFromXML(Callback1<XmlIO> xmlize, const String& xml);
 
 template <class T>
 String StoreAsXML(const T& data, const char *name = NULL)
@@ -231,8 +232,16 @@
 	return LoadFromXML(callback(&p, &ParamHelper__<T>::Invoke), xml);
 }
 
+template <class T>
+bool TryLoadFromXML(T& data, const String& xml)
+{
+	ParamHelper__<T> p(data);
+	return TryLoadFromXML(callback(&p, &ParamHelper__<T>::Invoke), xml);
+}
+
 bool StoreAsXMLFile(Callback1<XmlIO> xmlize, const char *name = NULL, const char *file = NULL);
 bool LoadFromXMLFile(Callback1<XmlIO> xmlize, const char *file = NULL);
+bool TryLoadFromXMLFile(Callback1<XmlIO> xmlize, const char *file = NULL);
 
 template <class T>
 bool StoreAsXMLFile(T& data, const char *name = NULL, const char *file = NULL)
@@ -249,6 +258,13 @@
 }
 
 template <class T>
+bool TryLoadFromXMLFile(T& data, const char *file = NULL)
+{
+	ParamHelper__<T> p(data);
+	return TryLoadFromXMLFile(callback(&p, &ParamHelper__<T>::Invoke), file);
+}
+
+template <class T>
 void XmlizeBySerialize(XmlIO& xio, T& x)
 {
 	String h;
